### Class

# Adw EnumListModel

since: 1

#### Description [src]

    final class Adw.EnumListModel : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

A `GListModel` representing values of a given enum.

`AdwEnumListModel` contains objects of type `AdwEnumListItem`.

Available since: 1

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### adw_enum_list_model_new

Creates a new `AdwEnumListModel` for `enum_type`.

since: 1

#### Instance methods

###### adw_enum_list_model_find_position

Finds the position of a given enum value in `self`.

since: 1

###### adw_enum_list_model_get_enum_type

Gets the type of the enum represented by `self`.

since: 1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

unstable since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

unstable since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

unstable since: 2.44

###### g_list_model_get_object

Get the item at `position`.

unstable since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

unstable since: 2.44

#### Properties

###### Adw.EnumListModel:enum-type

The type of the enum represented by the model.

since: 1

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

unstable since: 2.44

#### Class structure

    struct AdwEnumListModelClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.